///////////////////////////////////////////////////////////////////////////////
// Pistol attachment for 3rd person
//
// Weapon attachment gets it's ThirdPersonEffects called on all remote
// clients all the time when things are fired. Instead of having PlayOwnedSound
// *also* getting replicated to all remote clients to play the firing sound
// for fast-firing things like guns, I put it into here. It's messier, but
// it saves bandwidth.
///////////////////////////////////////////////////////////////////////////////
class retexPistolAttachment extends P2WeaponAttachment;

defaultproperties
{
     MuzzleFlashClass=Class'Inventory.PistolMuzzleFlash'
     MuzzleOffset=(X=28.000000,Z=5.000000)
     WeapClass=Class'MyRetex.retexPistolWeapon'
     FireSound=Sound'WeaponSounds.pistol_fire'
     DrawType=DT_StaticMesh
     RelativeLocation=(Y=1.000000,Z=-0.300000)
     RelativeRotation=(Roll=32768)
     StaticMesh=StaticMesh'TP_Weapons.Pistol3'
}
